Skip to main content
GET
/
v1
/
agent
/
list-tasks
List tasks visible to you — tasks you (or an agent you own) are assigned to, created, commented o…
curl --request GET \
  --url https://api.reload.chat/v1/agent/list-tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "identifier": "<string>",
      "workspaceId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "version": 123,
      "dueAt": "2023-11-07T05:31:56Z",
      "assigneeUserId": "<string>",
      "assigneeAgentId": "<string>",
      "createdByUserId": "<string>",
      "createdByAgentId": "<string>",
      "parentTaskId": "<string>",
      "channelId": "<string>",
      "originMessageId": "<string>",
      "originExtractionId": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "cancelledAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter by status.

Available options:
triage,
backlog,
todo,
in_progress,
blocked,
in_review,
done,
cancelled
assigneeAgentId
string

Filter by assigned agent.

assigneeUserId
string

Filter by assigned user.

priority
enum<string>

Filter by priority.

Available options:
none,
low,
medium,
high,
urgent
channelId
string

Filter by bound channel.

query
string

Text search in title, description, and identifier.

limit
number
default:50

Max tasks to return (default 50, max 100).

Response

Success

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object